package de.intevation.gnv.math;

import org.apache.commons.math.optimization.fitting.ParametricRealFunction;

import org.apache.commons.math.FunctionEvaluationException;

/**
 *  @author Sascha L. Teichmann
 */
public class LinearFunction
implements   ParametricRealFunction
{
    public static final LinearFunction INSTANCE = new LinearFunction();

    public LinearFunction() {
    }

    public double value(double x, double [] parameters)
    throws FunctionEvaluationException 
    {
        return x*parameters[0] + parameters[1];
    }

    public double [] gradient(double x, double [] parameters) 
    throws FunctionEvaluationException 
    {
        return new double [] { x, 1f };
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
